Page MenuHomeFreeBSD

rc.d/zfsbe: Simplify
ClosedPublic

Authored by imp on Apr 4 2023, 6:13 PM.
Tags
None
Referenced Files
Unknown Object (File)
Mon, Apr 8, 7:49 AM
Unknown Object (File)
Sun, Apr 7, 10:17 PM
Unknown Object (File)
Sun, Apr 7, 5:31 PM
Unknown Object (File)
Mar 15 2024, 12:19 AM
Unknown Object (File)
Mar 15 2024, 12:19 AM
Unknown Object (File)
Mar 15 2024, 12:19 AM
Unknown Object (File)
Mar 11 2024, 8:34 AM
Unknown Object (File)
Dec 29 2023, 9:25 AM

Details

Summary

So $(foo) is a shorter version of "foo".

Sponsored by: Netflix

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

imp requested review of this revision.Apr 4 2023, 6:13 PM
imp created this revision.
jlduran_gmail.com added inline comments.
libexec/rc/rc.d/zfsbe
60

Should we still keep the double quotes? (To to prevent globbing and word splitting as shellsheck would say, although unlikely).

libexec/rc/rc.d/zfsbe
60

Are they needed here? Word expansion doesn't happen here after the substitution, so _bootonce will have whatever is the value of zfs-bootonce, even if there's spaces.

libexec/rc/rc.d/zfsbe
60

Are they needed here?

Unlikely.

This revision was not accepted when it landed; it landed in state Needs Review.May 1 2023, 9:04 PM
Closed by commit rG0c4183f02efc: rc.d/zfsbe: Simplify (authored by imp). · Explain Why
This revision was automatically updated to reflect the committed changes.